UUIDD(8)

NAME
uuidd - UUID generation daemon

SYNOPSIS
uuidd [options]

DESCRIPTION
The uuidd daemon is used by the UUID library to generate universally unique identifiers (UUIDs), especially time-based UUIDs, in a secure and guaranteed-unique fashion, even in the face of large numbers of threads running on different CPUs trying to grab UUIDs.

OPTIONS

-d  Run uuidd in debugging mode. This prevents uuidd from running as a daemon.

-h, --help
    Display help screen and exit.

-k, --kill
    If currently a uuidd daemon is running, kill it.

-n, --uuids number
    When issuing a test request to a running uuidd, request a bulk response of number UUIDs.

-p, --pid path
    Specify the pathname where the pid file should be written. By default, the pid file is written to /var/run/uuidd/uuidd.pid.

-q  Suppress some failure messages.

-r, --random
    Test uuidd by trying to connect to a running uuidd daemon and request it to return a random-based UUID.

-s, --socket path
    Specify the pathname used for the unix-domain socket used by uuidd. By default, the pathname used is /var/run/uuidd/request. This is primarily for debugging purposes, since the pathname is hard-coded in the libuuid library.

-T, --timeout timeout
    Specify a timeout for uuidd. If specified, then uuidd will exit after timeout seconds of inactivity.

-t, --time
    Test uuidd by trying to connect to a running uuidd daemon and request it to return a time-based UUID.

-V, --version
    Output version information and exit.

EXAMPLE
Start up a daemon, print 42 random keys, and then stop the daemon.

    uuidd -p /tmp/uuidd.pid -s /tmp/uuidd.socket
    uuidd -d -r -n 42 -s /tmp/uuidd.socket
    uuidd -d -k -s /tmp/uuidd.socket

AUTHOR
The uuidd daemon was written by Theodore Ts'o <tytso@mit.edu>.

AVAILABILITY
The uuidd daemon is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

SEE ALSO
uuid(3), uuidgen(1)